Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228474 - unexpected loss of nearly a whole installation
Summary: unexpected loss of nearly a whole installation
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut
Version: 6
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-13 10:00 UTC by Ebbe Kvist
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-14 16:20:24 UTC


Attachments (Terms of Use)

Description Ebbe Kvist 2007-02-13 10:00:31 UTC
Description of problem:
Hi,

I am not very used to report bugs, but I think that this event might be of
interest for you.

I've just set up an FC6 installation on my desktop (i386) for office work. I
made a full software update by "Software updater" to update software installed
from the iso-disc packages and it worked just fine. After adding a few
other programmes with "Add/remove software" I found that the sound card didn't
work any longer so I decided to reinstall ALSA-related software. And this is
what happened:

I took up the list of installed software in "Add/remove software" - a rather
long list with checkboxes ticked with green markers. I demarked a few ALSA
related packages and and pressed the button to take them out. And: Almost all
installed software in the installation were deleted. One thought is that 'could
it be that all software just updated in the previous updating procedures - in
the background - were ticked for deletion' ?? The versions used were the most
recent that were available on Feb 11 2007 for i386 for FC6 in the repositories. 

The good thing is that I didn't loose any important data as I still was in
the installation phase. 

Take care

Regards

Ebbe in Stockholm (+1 degree C overcast)

How reproducible:
I don't dare to test again

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
Unistall of selected packages only

Additional info:

Comment 1 Jeremy Katz 2007-02-14 16:20:24 UTC
There are a lot of things which depend on alsa within the distribution.  There's
a warning that pops up and explicitly says "all this other stuff is going to be
removed also" and requires confirmation. 


Note You need to log in before you can comment on or make changes to this bug.